<?php

namespace FiloBlu\AddressFieldsLengthValidation\Block\Address;

use Magento\Customer\Model\AttributeChecker;
use Magento\Framework\Exception\NoSuchEntityException;
use Magento\Framework\App\ObjectManager;

/**
 * Customer address edit block
 *
 * @api
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 * @since 100.0.2
 */
class Edit extends \Magento\Customer\Block\Address\Edit
{
    /**
     * Generate name block html.
     *
     * @return string
     */
    public function getNameBlockHtml()
    {

        $nameBlock = $this->getLayout()
            ->createBlock(\FiloBlu\AddressFieldsLengthValidation\Block\Widget\Name::class)
            ->setObject($this->getAddress());

        return $nameBlock->toHtml();
    }


}
